package de.ozgcloud.vorgang;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;
import org.springframework.data.elasticsearch.repository.config.EnableElasticsearchRepositories;
import org.springframework.data.mongodb.repository.config.EnableMongoRepositories;

import de.ozgcloud.apilib.common.command.OzgCloudCommandService;
import de.ozgcloud.apilib.common.command.grpc.CommandMapper;
import de.ozgcloud.apilib.common.command.grpc.GrpcOzgCloudCommandService;
import de.ozgcloud.vorgang.grpc.command.CommandServiceGrpc;
import io.mongock.runner.springboot.EnableMongock;
import net.devh.boot.grpc.client.inject.GrpcClient;

@Configuration
@EnableMongock
@EnableMongoRepositories(basePackages = { "de.ozgcloud.vorgang.vorgang", "de.ozgcloud.vorgang.attached_item", "de.ozgcloud.vorgang.command" })
@EnableElasticsearchRepositories(basePackages = "de.ozgcloud.vorgang.common.search")
public class VorgangManagerServerConfiguration {

	@GrpcClient("command-manager")
	private CommandServiceGrpc.CommandServiceBlockingStub commandServiceStub;

	@Bean
	@Primary
	OzgCloudCommandService grpcOzgCloudCommandService(CommandMapper commandMapper, VorgangManagerCallContextProvider contextProvider) {
		return new GrpcOzgCloudCommandService(commandServiceStub, commandMapper, contextProvider,
				GrpcOzgCloudCommandService.DEFAULT_COMMAND_REQUEST_THRESHOLD_MILLIS);
	}
}
