package de.ozgcloud.vorgang.common.migration;

import org.springframework.data.mongodb.core.MongoTemplate;

import io.mongock.api.annotations.ChangeUnit;
import io.mongock.api.annotations.Execution;
import io.mongock.api.annotations.RollbackExecution;

@ChangeUnit(id = "2023-11-22 11:00:00 OZG-4191-OZG-4573", order = "M004", author = "mkuester", runAlways = true)
public class M004_UpdateNachrichtenManagerClientNameInVorgangAttachedItem { // NOSONAR

	static final String VORGANG_ATTACHED_ITEM = "vorgangAttachedItem";

	static final String OLD_CLIENT_NAME = "KopNachrichtenManager";
	static final String NEW_CLIENT_NAME = "OzgCloud_NachrichtenManager";

	@Execution
	public void doMigration(MongoTemplate template) {
		template.updateMulti(
				RenameUtil.createFindVorgangAttachedItemQuery(OLD_CLIENT_NAME),
				RenameUtil.createVorgangAttachedItemUpdate(NEW_CLIENT_NAME),
				VORGANG_ATTACHED_ITEM);
	}

	@RollbackExecution
	public void rollback() {
		// kein rollback implementiert
	}
}
